import { Component, h, Host, Method } from "@stencil/core";
/**
 * @undocumented
 */
export class RaisinsPlopTarget {
  async renderCell() {
    return h("span", null);
  }
  async renderLabel(idx) {
    return h("slot", { name: `column-${idx}` });
  }
  render() {
    return h(Host, null);
  }
  static get is() { return "raisins-plop-target"; }
  static get methods() { return {
    "renderCell": {
      "complexType": {
        "signature": "() => Promise<any>",
        "parameters": [],
        "references": {
          "Promise": {
            "location": "global"
          }
        },
        "return": "Promise<any>"
      },
      "docs": {
        "text": "",
        "tags": []
      }
    },
    "renderLabel": {
      "complexType": {
        "signature": "(idx: any) => Promise<any>",
        "parameters": [{
            "tags": [],
            "text": ""
          }],
        "references": {
          "Promise": {
            "location": "global"
          }
        },
        "return": "Promise<any>"
      },
      "docs": {
        "text": "",
        "tags": []
      }
    }
  }; }
}
